---

zabbix_server_port: 10051
zabbix_server_src_ip: []

zabbix_server_java_gateway_port: 10052

# If defined, can restrict IP to access the web interface
# zabbix_server_web_src_ip:

zabbix_server_db_server: "{{ mysql_server | default('localhost') }}"
zabbix_server_db_port: 3306
zabbix_server_db_user: zabbix
zabbix_server_db_name: zabbix
# zabbix_server_db_pass: secret

zabbix_server_php_user: zabbix
zabbix_server_php_version: 74

# If you want to use a custom php pool
# zabbix_server_php_fpm_pool: php70

zabbix_server_base_conf:
  Timeout: 4
  LogSlowQueries: 2000
  LoadModulePath: /usr/lib64/zabbix/modules
  LogType: system
  PidFile: /var/run/zabbix/zabbix_server.pid
  SocketDir: /var/run/zabbix
  AlertScriptsPath: /var/lib/zabbix/bin
  ExternalScripts: /var/lib/zabbix/bin
  TmpDir: /tmp
  ProxyConfigFrequency: 900
  ProxyDataFrequency: 30
  JavaGateway: 127.0.0.1
  JavaGatewayPort: "{{ zabbix_server_java_gateway_port }}"
  StartJavaPollers: 0
zabbix_server_extra_conf: {}
zabbix_server_conf: "{{ zabbix_server_base_conf | combine(zabbix_server_extra_conf, recursive=True) }}"

zabbix_server_auth_http: False

# Housekeeping settings

# Matrix notifications
# zabbix_server_matrix_server: matrix.org
# zabbix_server_matrix_user: alerts
# zabbix_server_matrix_pass: secret
#
# Or
#
# zabbix_server_matrix_access_token: ...

# Zabbix DB can be huge. If zabbix_server_backup_on_full_only is true
# pre-backup will skip history tables from the dump. Except if called with
# pre-backup full
zabbix_server_backup_on_full_only: False

# Disable zabbix pre/post backup if you need to handle it with your own script
zabbix_server_backup_hooks: True

# You might want to ignore system proxy for Zabbix server itself,
# so its web monitoring can be direct
# This will only have an effect if system_proxy is defined
zabbix_server_uses_system_proxy: True

# If using SAML auth, you have to configure the certificate of the IDP
# zabbix_server_saml_idp_cert: |
#   -----BEGIN CERTIFICATE-----
#   MIICsDCCAZigAwIBAgIEY42IsjANBgkqhkiG9w0BAQsFADAaMRgwFgYDVQQDDA9z
#   c28uZWh0cmFjZS5jb20wHhcNMjEwNDI5MTAyNDE1WhcNNDEwNDI0MTAyNDE1WjAa
#   MRgwFgYDVQQDDA9zc28uZWh0cmFjZS5jb20wggEiMA0GCSqGSIb3DQEBAQUAA4IB
#   DwAwggEKAoIBAQCnkJTXog/iNhNGBWuwKFGurhwHJGQfAsOc0LfDcJC4MHCkaRdW
#   f5nM2txxuDn2iCN6bhsPL9Q0XR9MOGfwc9cb0WNCpg91rFLG7FLxbevp81m2thRe
#   gTwdBpJoUJkm/MoMa7+oU8/PYuG/XFTrlq9/TznE/7BcvNqUJQYT4k9LAnkusIBA
#   yRj9mF3ZHNZKe9YcqD9e2kwOfA8uGFBAMw4UR2m158vyNmng2AMzHdgnKrIKwYjJ
#   e1f8B+GQRc+C/o06jF+wRYpVTYitcJzaadNjDgUWsUwjaYeKB2Z2E0FUE5ybTkoh
#   rfL0HQzCFC5beQkfq0vjHrMCInOvGGkaEDQBAgMBAAEwDQYJKoZIhvcNAQELBQAD
#   ggEBACIWuRwpF6FYmlw224n9Pc14iOTazgWr41hJEw36cpQFEiN/ZYU2C8a2W7SV
#   OBK2bzCMkELUlewuuzrodjflBdh55ZIDx3RKB8Db70hvw/fAe/US33oeSnngBQxm
#   FazCQq5ijajSH76xuoUw9AkH2KPP+tm/Y8ReV2xj6JxMpPArJsQ9ITuaiC9Bt4bI
#   LwXXqa+rnDtReBZBDjt8eyV0L5u5XvkfKlQoG/+UOdsfXavyJR6by2m6vv7/zGS+
#   fGpPuqtTWh0G4A3JEMJ5i0bajftWyYn7XGXOi2DIX5LGP1dhEml55m/NxLkPxTw8
#   vGPDSdbhHJZxQkilQsrPXNQqK38=
#   -----END CERTIFICATE-----

# When using SAML, you should also set the public URL so SAML metadata are correctly generated
# zabbix_server_public_url: https://monitoring.example.org
